SDKCorePlugin (Carbide.c++ SDK API Reference)
Keywords: com.nokia.carbide.cpp.sdk.core.SDKCorePlugin class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Carbide.c++
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.nokia.carbide.cpp.sdk.core
Class SDKCorePlugin

    java.lang.Object
      Plugin
          com.nokia.carbide.cpp.sdk.core.SDKCorePlugin

    public class SDKCorePlugin

extends Plugin

Main interface into the sdk.core plugin.

See Also:
  `to get the SDK information`

Field Summary
`static java.lang.String` | `PLUGIN_ID`

Constructor Summary
`SDKCorePlugin()` The constructor

Method Summary
`static SDKCorePlugin` | `getDefault()` Returns the shared instance
`static java.lang.String` | `getPluginId()`
`static ISDKManager` | `getSDKManager()` Get the instance of the ISDKManager
`void` | `start(BundleContext context)`
`void` | `stop(BundleContext context)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PLUGIN_ID

    public static final java.lang.String PLUGIN_ID

See Also:
  Constant Field Values

Constructor Detail

### SDKCorePlugin

    public SDKCorePlugin()

  The constructor

Method Detail

### start

    public void start(BundleContext context)
               throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### stop

    public void stop(BundleContext context)
              throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getPluginId

    public static java.lang.String getPluginId()

### getDefault

    public static SDKCorePlugin getDefault()

  Returns the shared instance

  Returns:
    the shared instance

### getSDKManager

    public static ISDKManager getSDKManager()

  Get the instance of the ISDKManager

  Returns:
    ISDKManager instance

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Carbide.c++
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD